﻿<Project Sdk="Microsoft.NET.Sdk.Razor">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
    <RazorLangVersion>3.0</RazorLangVersion>
    <AddRazorSupportForMvc>true</AddRazorSupportForMvc>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <NoWarn>1701;1702;CA1416;RCS1090</NoWarn>
  </PropertyGroup>


  <ItemGroup>
    <PackageReference Include="Joonasw.AspNetCore.SecurityHeaders" Version="3.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Components" Version="5.0.7" />
    <PackageReference Include="Microsoft.AspNetCore.Components.Web" Version="5.0.7" />
    <PackageReference Include="Microsoft.AspNetCore.Hosting" Version="2.2.7" />
    <PackageReference Include="Microsoft.AspNetCore.Http.Abstractions" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="5.0.7" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="5.0.7" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Core" Version="2.2.5" />
    <PackageReference Include="Microsoft.Extensions.Options" Version="5.0.0" />
  </ItemGroup>


  <ItemGroup>
    <ProjectReference Include="..\Authentication\Authentication.csproj" />
  </ItemGroup>

</Project>
